Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class InstanceManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.InstanceManagerBean

    public class InstanceManagerBean

extends java.lang.Object

Version:
  $Revision: 11152 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Nested Class Summary
`class` | `InstanceManagerBean.InstanceAuthorizationBean`

Constructor Summary
`InstanceManagerBean()`

Method Summary
`void` | `cancelPrefs()`
`void` | `deleteInstance(javax.faces.event.ActionEvent ae)`
`AuthorizationBean` | `getAuth()`
`DomainConfigurator` | `getDomainConfigurator()`
`InstanceContainer` | `getInstanceContainer()`
`int` | `getInstanceCount()`
`int` | `getPaginationSize()`
`org.jboss.portal.identity.RoleModule` | `getRoleModule()`
`int` | `getSelectedFrom()`
`java.lang.String` | `getSelectedId()`
`Instance` | `getSelectedInstance()`
`java.util.Collection<InstanceDefinition>` | `getSelectedInstances()`
`java.util.Map` | `getSelectedInstancesPrefs()`
`java.lang.String` | `getSelectedPlugin()`
`PreferencesBean` | `getSelectedPrefs()`
`java.lang.Integer` | `getSelectedRow()`
`void` | `refresh()` Refresh the selected prefs.
`void` | `selectFrom()`
`void` | `selectInstance()`
`void` | `selectInstance(javax.faces.event.ActionEvent e)`
`void` | `selectPlugin()`
`void` | `setDomainConfigurator(DomainConfigurator domainConfigurator)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setPaginationSize(int paginationSize)`
`void` | `setRoleModule(org.jboss.portal.identity.RoleModule roleModule)`
`void` | `setSelectedFrom(int selectedFrom)`
`void` | `setSelectedId(java.lang.String selectedId)`
`void` | `setSelectedPlugin(java.lang.String selectedPlugin)`
`void` | `setSelectedRow(java.lang.Integer selectedRow)`
`void` | `updatePrefs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceManagerBean

    public InstanceManagerBean()

Method Detail

### getRoleModule

    public org.jboss.portal.identity.RoleModule getRoleModule()

### setRoleModule

    public void setRoleModule(org.jboss.portal.identity.RoleModule roleModule)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getDomainConfigurator

    public DomainConfigurator getDomainConfigurator()

### setDomainConfigurator

    public void setDomainConfigurator(DomainConfigurator domainConfigurator)

### getPaginationSize

    public int getPaginationSize()

### setPaginationSize

    public void setPaginationSize(int paginationSize)

### getSelectedFrom

    public int getSelectedFrom()

### setSelectedFrom

    public void setSelectedFrom(int selectedFrom)

### getSelectedRow

    public java.lang.Integer getSelectedRow()

### setSelectedRow

    public void setSelectedRow(java.lang.Integer selectedRow)

### getSelectedId

    public java.lang.String getSelectedId()

### setSelectedId

    public void setSelectedId(java.lang.String selectedId)

### getSelectedPlugin

    public java.lang.String getSelectedPlugin()

### setSelectedPlugin

    public void setSelectedPlugin(java.lang.String selectedPlugin)

### getSelectedInstance

    public Instance getSelectedInstance()

### getSelectedPrefs

    public PreferencesBean getSelectedPrefs()

### getAuth

    public AuthorizationBean getAuth()

### getSelectedInstances

    public java.util.Collection<InstanceDefinition> getSelectedInstances()

### getSelectedInstancesPrefs

    public java.util.Map getSelectedInstancesPrefs()

### getInstanceCount

    public int getInstanceCount()

### refresh

    public void refresh()

  Refresh the selected prefs.

### selectFrom

    public void selectFrom()

### selectPlugin

    public void selectPlugin()

### selectInstance

    public void selectInstance()

### selectInstance

    public void selectInstance(javax.faces.event.ActionEvent e)

### deleteInstance

    public void deleteInstance(javax.faces.event.ActionEvent ae)

### updatePrefs

    public void updatePrefs()

### cancelPrefs

    public void cancelPrefs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD